org.apache.datasketches.frequencies

## Class LongsSketch.Row

- java.lang.Object
- - org.apache.datasketches.frequencies.LongsSketch.Row

All Implemented Interfaces:
  Comparable<LongsSketch.Row>

Enclosing class:
  LongsSketch

    public static class LongsSketch.Row
    extends Object
    implements Comparable<LongsSketch.Row>

Row class that defines the return values from a getFrequentItems query.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compareTo(LongsSketch.Row that)` This compareTo is strictly limited to the Row.getEstimate() value and does not imply any ordering whatsoever to the other elements of the row: item and upper and lower bounds.
`boolean` `equals(Object obj)` This equals is computed only from the Row.getEstimate() value and does not imply equality of the other items within the row: item and upper and lower bounds.
`long` `getEstimate()`
`long` `getItem()`
`long` `getLowerBound()`
`static String` `getRowHeader()`
`long` `getUpperBound()`
`int` `hashCode()` This hashCode is computed only from the Row.getEstimate() value.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getItem

    public long getItem()

Returns:
  item of type T

#### getEstimate

    public long getEstimate()

Returns:
  the estimate

#### getUpperBound

    public long getUpperBound()

Returns:
  the upper bound

#### getLowerBound

    public long getLowerBound()

Returns:
  return the lower bound

#### getRowHeader

    public static String getRowHeader()

Returns:
  the descriptive row header

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(LongsSketch.Row that)

This compareTo is strictly limited to the Row.getEstimate() value and does not imply any ordering whatsoever to the other elements of the row: item and upper and lower bounds. Defined this way, this compareTo will be consistent with hashCode() and equals(Object).

Specified by:
  `compareTo` in interface `Comparable<LongsSketch.Row>`
Parameters:
  `that` - the other row to compare to.
Returns:
  a negative integer, zero, or a positive integer as this.getEstimate() is less than, equal to, or greater than that.getEstimate().

#### hashCode

    public int hashCode()

This hashCode is computed only from the Row.getEstimate() value. Defined this way, this hashCode will be consistent with equals(Object):
If (x.equals(y)) implies: x.hashCode() == y.hashCode().
If (!x.equals(y)) does NOT imply: x.hashCode() != y.hashCode().

Overrides:
  `hashCode` in class `Object`
Returns:
  the hashCode computed from getEstimate().

#### equals

    public boolean equals(Object obj)

This equals is computed only from the Row.getEstimate() value and does not imply equality of the other items within the row: item and upper and lower bounds. Defined this way, this equals will be consistent with compareTo(Row).

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the other row to determine equality with.
Returns:
  true if this.getEstimate() equals ((Row)obj).getEstimate().